package com.cavaness.beer4all.catalog;

import org.apache.struts.action.*;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;
import com.cavaness.beer4all.service.Beer4AllService;
import com.cavaness.beer4all.framework.Beer4AllBaseAction;
import com.cavaness.beer4all.util.Constants;

public class WelcomeAction extends Beer4AllBaseAction {

  public ActionForward execute(ActionMapping mapping, ActionForm form,
    HttpServletRequest request, HttpServletResponse response) throws Exception{

    // Get the ServiceFactory
    Beer4AllService service = getBeer4AllService();
    List featuredCatalogs = service.getFeaturedCatalogs();
    List featuredItems = service.getFeaturedItems();

    ((DynaActionForm)form).set( "featuredCatalogs", featuredCatalogs );
    ((DynaActionForm)form).set( "featuredItems", featuredItems );

    return mapping.findForward( Constants.SUCCESS_KEY );
  }
}