<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ page import="org.apache.struts.action.*" %>


<html:html locale="true">

<head>
  <html:base/>
  <link rel="stylesheet" href="stylesheets/format_win_nav_main.css" type="text/css">
  <title><bean:message key="global.title"/></title>
</head>

<body background="images/background.gif">





<form action="action/cart?method=update" method="post">

<table cellspacing="0" cellpadding="0">
	<%@ include file="include/banner.jsp" %>
	<tr>
		<td><img src="images/blackdot.gif" height="100%" width="1"></td>
		<td bgcolor="white" height="500" width="798" valign="top">

			<!-- this table is for spacing -->
			<table cellspacing="4"><tr><td align="left" width="100%">

<!-- CONTENT STARTS HERE -->
<%@ include file="include/header.jsp" %>

<logic:lessEqual scope="session" name="UserContainer" property="cart.size" value="0">
  <%@ include file="emptycart.jsp" %>
</logic:lessEqual>



<logic:greaterThan scope="session" name="UserContainer" property="cart.size" value="0">  

			<table cellspacing="5" width="80%">
				<td><img src="images/message.gif" width="30" height="30"></td>
				<td>
				  <bean:message key="cart.instructions"/>
				</td>
			</table>

			<br><br> <!-- adds a little space after the message -->

			<!-- this table controls the split between the left menu and the content stuff -->
			<table width="100%">
				<tr>
					
					<td valign="top">	
						<table width="600">
							<tr>
								<td class="tableHeader">Remove</td>
								<td class="tableHeader">Name</td>
								<td class="tableHeader">Description</td>
								<td class="tableHeader">Quantity</td>
								<td class="tableHeader">Price</td>
							</tr>
							<logic:iterate id="cartItem" scope="session" name="UserContainer" property="cart.items">
							
							<!-- Item row -->
							              <TR bgColor=#ffffff>
							                
							                <!--Delete checkbox for item -->
							                <TD vAlign=top align=middle>
							                 <input type="checkbox" value="<bean:write name="cartItem" property="id"/>" name="deleteCartItem"></td>
							                
							                <!-- name and description for item -->
							                <TD vAlign=top align=left><FONT 
							                  face="Verdana, Arial, Helvetica" size=2><SPAN 
							                  class=feature-text><B>
							                  
							                  <html:link page="/action/viewitemdetail?method=viewItem" paramName="cartItem" paramId="id" paramProperty="id">
							                    <bean:write name="cartItem" property="name"/>
							                  </html:link>
							                  </B><BR>In Stock - 
							                  Usually ships in 2-3 business days<BR>Available for pickup at 
							                  most stores      
							                  
							                  <BR><BR></SPAN></FONT></TD>
							                 
							                <!-- Qty input box -->
							                <TD vAlign=top noWrap align=middle>
							                  <input type="maxlength="3" size="3" text name="qty_<bean:write name="cartItem" property="id"/>" value="<bean:write name="cartItem" property="quantity"/>">                  
							                </TD>
							                 
							                <!-- Unit price for item -->
							                <TD vAlign=top noWrap align=middle><FONT 
							                  face="Verdana, Arial, Helvetica" size=2><B><SPAN 
							                  class=price-text>$<bean:write name="cartItem" format="#,##0.00" property="unitPrice"/><BR></SPAN></B></FONT></TD>
							                  
							                <!-- Extended price for item -->
							                <TD vAlign=top align=right>
							                  <TABLE cellSpacing=2 cellPadding=3 width="100%" border=0>
							                    <TBODY>
							                    <TR>
							                      <TD align=right bgColor=#ffcc00><FONT 
							                        face="Verdana, Arial, Helvetica" size=2><B><SPAN 
							                        class=price-text>$<bean:write name="cartItem" format="#,##0.00" property="extendedPrice"/><BR></SPAN></B></FONT>
							                      </TD>
							                    </TR>
							                   </TBODY>
							                  </TABLE>
							                 </TD>                 
							                 
							                </TR>    
							                
              </logic:iterate>  
						
					
<TR>
                <TD colSpan=5>
                  <TABLE cellSpacing=0 cellPadding=0 width="100%" 
                  bgColor=#c0c0c0 border=1>
                    <TBODY>
                    <TR>
                      <TD align=left width=107>
                       
                       <html:image alt="Delete Checked Items" page="/images/deleteitems.gif" border="0"/></TD>
                      <TD align=left width=131><IMG height=1 alt="" 
                        src="../images/spacer.gif" 
                        width=131 border=0></TD>
                      <TD align=right width=66>
                      
                       <html:image alt="Update Quantity" page="/images/updateqty.gif" border="0"/></TD>
                      <TD vAlign=center align=right width=150 
                        bgColor=#ffffff><FONT face="Verdana, Arial, Helvetica" 
                        size=2><B><SPAN class=price-text>SubTotal* $<bean:write scope="session" format="#,##0.00" name="UserContainer" property="cart.totalPrice"/>
                        <IMG height=1 alt="" 
                        src="../images/spacer.gif" 
                        width=3 
                border=0></SPAN></B></FONT></TD></TR></TBODY></TABLE></TD>
                </tr>
 <TR>
                <TD align=right colSpan=5>                
                  <TABLE cellSpacing=0 cellPadding=0 width=186 border=0>
                    <TBODY>
                    <TR>
                      <TD vAlign=top width=93>
                        <html:link page="/action/main">
                          <html:img alt="Continue Shopping" page="/images/continueshopping.gif" border="0"/>
                        </html:link>
                       </TD>
                      <TD vAlign=top width=93>
                        <html:link page="/action/checkout?method=checkout">
                          <html:img alt="Begin Checkout" page="/images/checkout.gif" border="0"/>
                        </html:link>
                      </TD></TR></TBODY></TABLE></TD></TR>					
<TR>
                <TD align=right colSpan=5>
                  <TABLE cellSpacing=0 cellPadding=0>
                    <TBODY>
                    <TR>
                      <TD><FONT face="Verdana, Arial, Helvetica" 
                        size=2><B><SPAN class=price-text>*SubTotal does not 
                        include tax or shipping/handling charge. 
                        </SPAN></B></FONT></TD></TR></TBODY></TABLE></TD></TR>					
					
				</table>
					</td>
				</tr>
			</table>
				
<!-- CONTENT ENDS HERE -->
</logic:greaterThan>


			<!-- END SPACING TABLE -->
			</td></tr></table>
		</td>
		<td><img src="images/blackdot.gif" height="100%" width="1"></td>
	</tr>
	<%@ include file="include/copyright.jsp" %>
	<tr>
		<td colspan="3" width="800" bgcolor="white"><img src="images/blackdot.gif" width="100%" height="1"></td>
	</tr>
</table>


</body>
</html:form>
</html:html>	
