package com.cavaness.beer4all.service;

import java.util.List;
import java.util.ArrayList;
import com.cavaness.beer4all.catalog.view.*;
import com.cavaness.beer4all.common.view.UserView;
import com.cavaness.beer4all.common.exceptions.InvalidLoginException;

public class Beer4AllServiceDebug implements Beer4AllService {

  public List getFeaturedCatalogs(){
    List catalogList = new ArrayList();
    CatalogView view = null;

    view = new CatalogView();
    view.setName("Domestic");
    view.setDescription("");
    view.setOid( new Integer(12) );
    catalogList.add(view);

    view = new CatalogView();
    view.setName("Import");
    view.setDescription("");
    view.setOid( new Integer(13) );
    catalogList.add(view);

    view = new CatalogView();
    view.setName("Lager");
    view.setDescription("");
    view.setOid( new Integer(14) );
    catalogList.add(view);

    view = new CatalogView();
    view.setName("Light");
    view.setDescription("");
    view.setOid( new Integer(16) );
    catalogList.add(view);

    view = new CatalogView();
    view.setName("Dark");
    view.setDescription("");
    view.setOid( new Integer(22) );
    catalogList.add(view);

    view = new CatalogView();
    view.setName("Malt Liquor");
    view.setDescription("");
    view.setOid( new Integer(25) );
    catalogList.add(view);

    return catalogList;
  }

  public List getFeaturedItems(){
    List itemList = new ArrayList();

    ItemView item = null;

    item = new ItemView();
    item.setOid(new Integer(5));
    item.setName( "Bass" );
    item.setPrice( new Double(2.75) );
    item.setSmallUrl( "bass.jpg" );
    itemList.add( item );

    item = new ItemView();
    item.setOid(new Integer(6));
    item.setName( "Becks" );
    item.setPrice( new Double(3.75) );
    item.setSmallUrl( "becks.jpg" );
    itemList.add( item );

    item = new ItemView();
    item.setOid(new Integer(8));
    item.setName( "Corona" );
    item.setPrice( new Double(2.85) );
    item.setSmallUrl( "corona.jpg" );
    itemList.add( item );

    item = new ItemView();
    item.setOid(new Integer(9));
    item.setName( "Dos Equis" );
    item.setPrice( new Double(4.85) );
    item.setSmallUrl( "dosequis.jpg" );
    itemList.add( item );

    item = new ItemView();
    item.setOid(new Integer(12));
    item.setName( "Guinness" );
    item.setPrice( new Double(4.85) );
    item.setSmallUrl( "guinness.jpg" );
    itemList.add( item );

    item = new ItemView();
    item.setOid(new Integer(15));
    item.setName( "Sam Adams" );
    item.setPrice( new Double(3.25) );
    item.setSmallUrl( "samadams.jpg" );
    itemList.add( item );

    item = new ItemView();
    item.setOid(new Integer(18));
    item.setName( "Harp" );
    item.setPrice( new Double(3.25) );
    item.setSmallUrl( "harp.jpg" );
    itemList.add( item );


    item = new ItemView();
    item.setOid(new Integer(28));
    item.setName( "Keller" );
    item.setPrice( new Double(5.25) );
    item.setSmallUrl( "keller.jpg" );
    itemList.add( item );

    item = new ItemView();
    item.setOid(new Integer(38));
    item.setName( "New Castle" );
    item.setPrice( new Double(3.15) );
    item.setSmallUrl( "newcastle.jpg" );
    itemList.add( item );

    return itemList;
  }

  public ItemView getItemById( String itemId ){
    ItemView item1 = new ItemView();
    item1.setOid(new Integer(5));
    item1.setName( "Beer1" );
    item1.setDescription( "Beer 1 Description" );
    item1.setPrice( new Double(2.75) );
    item1.setLargeURL( "harp.jpg" );
    return item1;
  }

  public List getItemsInCatalog( String catalogId ){
    List itemList = new ArrayList();
    ItemView item1 = new ItemView();
    item1.setOid(new Integer(5));
    item1.setName( "Beer1" );
    item1.setDescription( "Beer 1 Description" );
    item1.setPrice( new Double(2.75) );
    itemList.add( item1 );
    return itemList;
  }

 public void logout(String email){
   // Do nothing for now
 }

 public UserView authenticate(String username, String password) throws InvalidLoginException{
   UserView view = null;
   if ( (username == null || !username.equals( "me")) ||
         (password == null) || !password.equals("foobar")){
     // The email and password are not correct
     throw new InvalidLoginException();
   }else{
     view = new UserView();
     view.setFirstName( "Chuck" );
     view.setLastName( "Cavaness" );
     view.setOid( new Integer(12) );
   }

   return view;
 }
}
